Subject: Re: linux-next: build warning after merge of the pinctrl tree

From: Linus Walleij <[email-masked]>
Date: Thu, 11 Oct 2018 09:51:10 +0200

On Thu, Oct 11, 2018 at 5:17 AM Stephen Rothwell <[email-masked]> wrote:

> After merging the pinctrl tree, today's linux-next build (x86_64
> allmodconfig) produced this warning:
>
> drivers/pinctrl/bcm/pinctrl-ns.c: In function 'ns_pinctrl_probe':
> drivers/pinctrl/bcm/pinctrl-ns.c:288:29: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
>   ns_pinctrl->chipset_flag = (unsigned int)of_id->data;
>                              ^
> drivers/pinctrl/bcm/pinctrl-ns.c:310:27: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
>    unsigned int chipsets = (unsigned int)src->drv_data;
>                            ^

I tried to fix it, stumbled, not I tried to fix it again.
Let's see if I got it right now!

Thanks,
Linus Walleij